/*-------------------------------------------------------------------------------------------------------------------*/
/**
 *    \file       Rte_SerialInterface.h
 *    \author     RTE Generator
 *    \brief      Generated file - shall not be manually edited. 
 *                Implements all the RTE read and write operations that are performed by the SerialInterface software
 *                component.
 */
/*-------------------------------------------------------------------------------------------------------------------*/

#ifndef RTE_SERIALINTERFACE_H
#define RTE_SERIALINTERFACE_H

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                                     Inclusions                                                    */
/*-------------------------------------------------------------------------------------------------------------------*/

#include "Rte.h"

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                            Definition Of Global Macros                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

#define Rte_Read_In_RpmValue(x) ((*x) = Rte_MotorSpeed_RpmValue_Buf)

#define Rte_Read_In_BatVoltage(x) ((*x) = Rte_BatVoltage_BatVoltage_Buf)

#define Rte_Read_In_UartFlag(x) ((*x) = Rte_UartEnable_UartFlag_Buf)

#define Rte_Write_Out_RpmValueSerial(x) (Rte_UartSpeed_RpmValueSerial_Buf = (*x))

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                          Definition Of Global Data Types                                          */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Variables                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Constants                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Functions                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
#endif /* RTE_SERIALINTERFACE_H */